package com.fmi.weprom.api;

import java.util.Date;

public interface Community extends Workspace {
  
  public Calendar getCalendar();
  
  public void save() throws WEPROMException;
  
  public void update() throws WEPROMException;
  
  public void delete() throws WEPROMException;
  
  public String getName();
  
  public void setName(String name) ;
  
  public Date getStartDate();
  
  public Date getEndDate();
  
  public String getDescription();
  
  public int getCompleted();
  
  public int getStatus();
  
  public void setStartDate(Date startDate);
  
  public void setEndDate(Date endDate);
  
  public void setDescription(String  description);
  
  public void setCompleted(int completed);
  
  public void setStatus(int status);    
  
  public void inviteUser(User user) throws WEPROMException;
}
