package com.fmi.weprom.api;

import java.util.Date;

public interface Reminder {
  
  public static final int STATUS_ON = 1;
  public static final int STATUS_OFF = 2;
  
  public int getID();

  public Date getDate();
  
  public void setDate(Date date);

  public String getSubject();
  
  public void setSubject(String subject);
  
  public String getDescription();
  
  public void setDescription(String description);
  
  public int getStatus();

  public void setStatus(int status); 

  public void save() throws WEPROMException;
  
  public void delete() throws WEPROMException;
  
  public void update() throws WEPROMException;
}
