package workspace.web.pages;

import org.apache.tapestry.event.PageEvent;
import org.apache.tapestry.event.PageRenderListener;
import org.apache.tapestry.html.BasePage;

import workspace.Visit;

import com.fmi.weprom.api.Community;

public abstract class CommunityEditorPage extends WEPROMBasePage implements	PageRenderListener {

  public abstract Community getCommunity();
  public abstract void setCommunity(Community community);
  public abstract int getMode();
  public abstract void setMode(int mode);

	public void pageBeginRender(PageEvent event) {
		Community community = getCommunity();
		if(!event.getRequestCycle().isRewinding()){
			if (community == null & getMode()!=0) {		
				community = ((Visit) getPage().getVisit()).getCommunity();
				setCommunity(community);
			}
		}
	}
}
