package workspace.web.pages;

import org.apache.tapestry.event.PageEvent;
import org.apache.tapestry.event.PageRenderListener;
import org.apache.tapestry.html.BasePage;

import workspace.Visit;

import com.fmi.weprom.api.Project;

public abstract class ProjectEditorPage extends WEPROMBasePage implements	PageRenderListener {

    public abstract Project getProject();
    public abstract void setProject(Project project);
    public abstract int getMode();
    public abstract void setMode(int mode);

	public void pageBeginRender(PageEvent event) {
		Project project = getProject();
		if(!event.getRequestCycle().isRewinding()){
			if (project == null & getMode()!=0) {		
				project = ((Visit) getPage().getVisit()).getProject();
				setProject(project);
			}
		}
	}
}
