package workspace.web.pages;

import org.apache.tapestry.event.PageEvent;
import org.apache.tapestry.event.PageRenderListener;
import org.apache.tapestry.html.BasePage;

import workspace.Visit;
import com.fmi.weprom.api.Project;
import com.fmi.weprom.api.User;


public abstract class ProjectWorkspacePage extends WEPROMBasePage implements PageRenderListener {

	public abstract void setTitle(String title);
	public abstract Project getProject();
	public abstract void setProject(Project project);
	public abstract User getUser();
	public abstract void setUser(User user);
	public abstract String getRole();
	public abstract void setRole(String role);
	
	public void pageBeginRender(PageEvent event){
		String title = /*((User)getUser()).getNick() + " is a " + getRole() +
		" in " + */((Project)getProject()).getName();
		setTitle(title);
		System.out.println("Workspace The user just logged in: "+((Visit)getVisit()).getUserId());		
	}
}

