package workspace.web.components;

import org.apache.tapestry.BaseComponent;

import com.fmi.weprom.api.Project;
import workspace.web.StatusSelectionModel;

public abstract class ProjectProfile extends BaseComponent {
  public abstract Project getProject();

  public String getStatus() {
    if (getProject() != null){
      int status = getProject().getStatus();
      StatusSelectionModel statusModel = 
        new StatusSelectionModel(StatusSelectionModel.PROJECT);
      return statusModel.getLabel(status);
    } else
      return "";
  }
}
