package workspace.web.pages;

import org.apache.tapestry.event.PageEvent;
import org.apache.tapestry.event.PageRenderListener;
import org.apache.tapestry.html.BasePage;

import workspace.Visit;

public abstract class CalendarPage extends WEPROMBasePage   implements PageRenderListener {
	public abstract void setPageType(String pageType);
	
	public void pageBeginRender(PageEvent event){
		setPageType(determinPageType());
	}
	
  private String determinPageType(){
    if (((Visit) getPage().getVisit()).getProject()!=null)
      return "Projects";
    else if (((Visit) getPage().getVisit()).getCommunity()!=null)
      return"Communities";
    else
      return "MyWorkspace";
  }
}
