package com.fmi.weprom.api;

import java.util.Date;
import java.util.List;

import com.fmi.weprom.impl.mysql.WorkspaceImpl;

public interface File {

  public static final byte TYPE_FOLDER = 4;
  public static final byte TYPE_FILE = 5;
  
  public String getName();
  
  public void setName(String name);
  
  public Date getDate();

  public void setDate(Date date);
  
  public long getSize();

  public void setSize(long size);
  
  public String getPath();
  
  public int getID();
  
  public boolean isFolder();
  
  public List getFiles();
  
  public List getFolders();

  public int getParentID();
  
  public File createChild(byte type);

  public void save() throws WEPROMException;

  public int getFoldersCount() throws WEPROMException;
  
  public int getFilesCount() throws WEPROMException;

  public List getFiles(String sortColumn, boolean sortOrder, int offset, int pageSize);

  public File getRoot();
  
  public Workspace getRootWorkspace();
}
