package com.fmi.weprom.api;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.fmi.weprom.impl.mysql.UserImpl;

public class WEPROMFactory {
  
  private static final Log LOG = LogFactory.getLog(UserImpl.class);
  
  public static WEPROMSystem getWEPROMSystem() {
    // load the default implementation
    try {
      Class clazz = Class.forName("com.fmi.weprom.impl.mysql.WEPROMSystemImpl");
      return (WEPROMSystem) clazz.newInstance();
    } catch (ClassNotFoundException e) {
      e.printStackTrace();
    } catch (InstantiationException e) {
      e.printStackTrace();
    } catch (IllegalAccessException e) {
      e.printStackTrace();
    }
    return null;
  }
}
