package com.fmi.weprom.util;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
//import gnu.trove.TIntObjectHashMap;

public class CacheManager extends HashMap {
  
  private static final Log LOG = LogFactory.getLog(CacheManager.class);
  
  public Map getCache(String cacheName) {
    Map cache = (Map) get(cacheName);
    if (cache==null) {
      cache = new HashMap();
      //new TIntObjectHashMap();
      put(cacheName, cache);
    }
    return cache;
  }
  
  public void clearCaches() {
    for (Iterator i = keySet().iterator(); i.hasNext(); ) {
      String key = (String) i.next();
      Map cache = (Map) get(key);
      LOG.debug("clear cache \""+key+"\":");
      LOG.debug(cache);
      cache.clear();
    }
    clear();    
  }  
}
