package workspace.web;

import java.io.Serializable;
import java.util.List;

import org.apache.tapestry.form.IPropertySelectionModel;

import com.fmi.weprom.api.Role;

public class RoleSelectionModel implements Serializable,
    IPropertySelectionModel {
  private List roleList;
  
  public RoleSelectionModel(List roleList){
    this.roleList = roleList;
  }
  
  public int getOptionCount() {
    return roleList.size();
  }

  public Object getOption(int index) {
    return roleList.get(index);
  }

  public String getLabel(int index) {
    System.out.println("Role model : " +((Role) roleList.get(index)).getName());
    return ((Role) roleList.get(index)).getName();
  }

  public String getValue(int index) {
    return index + "";
  }

  public Object translateValue(String value) {
    return getOption(Integer.parseInt(value));          
  }
  
  public void setRoleList(List roleList){
    this.roleList = roleList;
  }
  
  public List getRoleList(){
    return this.roleList;
  }
}
