package workspace.web.pages;

import org.apache.tapestry.event.PageEvent;
import org.apache.tapestry.event.PageRenderListener;
import org.apache.tapestry.html.BasePage;

import workspace.Visit;

import com.fmi.weprom.api.Community;

public abstract class CommunityProfilePage extends WEPROMBasePage implements
		PageRenderListener {

    public abstract Community getCommunity();
    public abstract void setCommunity(Community community);

	public void pageBeginRender(PageEvent event) {
		Community community = getCommunity();
		if (community == null) {
			community = ((Visit) getPage().getVisit()).getCommunity();
			setCommunity(community);
		}
	}
}
