package com.fmi.weprom.api;

import java.util.List;

public interface UserWorkspace extends Workspace {

  public List getInboxMessages() throws WEPROMException;
  
  public List getOutboxMessages() throws WEPROMException;
  
  public int getUnreadMessageCount() throws WEPROMException;
  
  public Message createMessage();
  
  public Message getMessage(int id);
  
  public List getContacts();
  
  public Contact createContact();
  
  public Contact getContact(int id);
  
  public List getTasks();
  
  public Calendar getCalendar();
  
}
