package com.fmi.weprom.api;

import java.util.List;

public interface WEPROMSystem {
  
  public User getUser(String nick);
  
  public User getUser(int id);
  
  public List getUsers();
  
  public User createUser(String nick);
  
  public Community createCommunity(User owner);
  
  public Project createProject(User user);

  public List getProjects();
  
  public Project getProject(int id);
  
  public Community getCommunity(int id);
  
  public List getCommunities();
  
  public AccessRights getAccessRights();
  
  public File getFile(int id);
  //public void closeSession();
}
