package workspace.web;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import org.apache.tapestry.form.IPropertySelectionModel;

import com.fmi.weprom.api.Role;
import com.fmi.weprom.api.User;
import com.fmi.weprom.api.Workspace;

public class UserSelectionModel implements Serializable,
    IPropertySelectionModel {
  
  private List userList;
  
  public UserSelectionModel(List userList){
    this.userList = userList;
  }
  
  public int getOptionCount() {
    return userList.size() + 1;
  }

  public Object getOption(int index) {
    if(index == 0)
      return null;
    else
      return userList.get(index-1);
  }

  public String getLabel(int index) {
    if(index == 0)
      return "Not Specified";
    else
      return ((User) userList.get(index-1)).getNick();
  }

  public String getValue(int index) {
    return index + "";
  }

  public Object translateValue(String value) {
    return getOption(Integer.parseInt(value));          
  }

}
