package workspace.web.pages;

import org.apache.tapestry.event.PageEvent;
import org.apache.tapestry.event.PageRenderListener;
import org.apache.tapestry.html.BasePage;

import workspace.Visit;

import com.fmi.weprom.api.Community;

public abstract class CommunityCreatorPage extends WEPROMBasePage implements
    PageRenderListener {

  public abstract Community getCommunity();
  public abstract void setCommunity(Community community);
  public abstract int getMode();
  public abstract void setMode(int mode);
  public abstract void setPageType(String pageType);

  public void pageBeginRender(PageEvent event) {
    System.out.println("CommunityCreatorPage() ... isRewinding="
        + event.getRequestCycle().isRewinding());
    setPageType(determinPageType());
    Community community = getCommunity();
    if (community == null & getMode() == 0) {
      community = ((Visit) getPage().getVisit()).getWeprom().
            createCommunity(((Visit) getPage().getVisit()).getUser());
      setCommunity(community);
      setMode(2);
    }
  }

  private String determinPageType() {
    if (((Visit) getPage().getVisit()).getCommunity() == null)
      return "MyWorkspace";
    else
      return "Communities";
  }
}
