package workspace.web.pages;

import org.apache.tapestry.event.PageEvent;
import org.apache.tapestry.event.PageRenderListener;
import org.apache.tapestry.html.BasePage;

import workspace.Visit;

import com.fmi.weprom.api.Project;

public abstract class ProjectProfilePage extends WEPROMBasePage implements
		PageRenderListener {

    public abstract Project getProject();
    public abstract void setProject(Project project);

	public void pageBeginRender(PageEvent event) {
		Project project = getProject();
		if (project == null) {
			project = ((Visit) getPage().getVisit()).getProject();
			setProject(project);
		}
	}
}
