package workspace.web.pages;

import org.apache.tapestry.event.PageEvent;
import org.apache.tapestry.event.PageRenderListener;
import org.apache.tapestry.html.BasePage;

import workspace.Visit;

import com.fmi.weprom.api.Project;
import com.fmi.weprom.api.Task;
import com.fmi.weprom.api.User;

public abstract class TaskCreatorPage extends WEPROMBasePage implements
		PageRenderListener {

    public abstract Task getTask();
    public abstract void setTask(Task task);
    public abstract int getMode();
    public abstract void setMode(int mode);
	public abstract void setPageType(String pageType);

	public void pageBeginRender(PageEvent event) {
		System.out.println("TaskCreatorPage() ... isRewinding="
				+ event.getRequestCycle().isRewinding());
		setPageType(determinPageType());
		Task task = getTask();
		if (task == null & getMode()== 0) {
			task = getVisitO().getProject().createTask(getVisitO().getUser());
			setTask(task);
			setMode(2);
		}
	}
	private String determinPageType(){
		if (getProject()==null)
			return"MyWorkspace";
		else
			return "Projects";
	}
	public Visit getVisitO() {
		return (Visit) getVisit();
	}

	public Project getProject() {
	    return (Project) getVisitO().getProject();
	}
	
}
